using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using StammGenerator.ViewModel;

namespace StammGenerator.HostBuilders
{
    static class AddStoresHostBuilderExtensions
    {
        public static IHostBuilder AddStores(this IHostBuilder hostBuilder)
        {
            hostBuilder.ConfigureServices(services =>
            {
                services.AddSingleton<IActualState, ActualState>();
            });
            return hostBuilder;
        }
    }
}
